Bug 479512 - Detection problem of the card reader "Smart Card Reader ACR38U-CFC-BLI".
Detection problem of the card reader "Smart Card Reader ACR38U-CFC-BLI".
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 05:47 EST by Dirk Provoost
Modified: 2009-12-18 02:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dirk Provoost 2009-01-10 05:47:19 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; nl; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5

I can't read the content of a belgian electronic identity card inserted in a "Smart Card Reader ACR38U-CFC-BLI".

I installed the correct drivers & gui through http://www.belgeid.be
and
Fedora >> http://eid.belgium.be/nl/binaries/beid-middleware-3%2E5%2E0-fedora-9-i686-3640_tcm147-22615.tgz

The reading application (beidgui) starts up normally when I enter "beidgui" at the dos prompt.

Then, when I go to "Options" >> "card readers", I get the following error message:

detection of card readers

There are no readers detected.
Check if the reader is connected and verify if pcsc deamon has been started.

I checked if pcsc deamon has been started = ok

Ps: The reader and card works very well under UBUNTU.

Reproducible: Always



Expected Results:  
Finding the card reader
Comment 1 Adel Gadllah 2009-01-10 07:23:29 EST
This has nothing to do with hardinfo, dunno why you filled it against it.

Try:
yum install ccid
service pcscd restart

This should get your cardreader working.
Comment 2 Dirk Provoost 2009-01-10 07:54:46 EST
Nothing has changed.
Same problem as before.
Comment 3 Bob Relyea 2009-01-12 14:41:53 EST
What version of Fedora?

Also, what are the outputs from.

rpm -q pcscd
rpm -q ccid


bob
Comment 4 Dirk Provoost 2009-01-12 14:56:15 EST
Version = Fedora 10

In "configuration of started programs" I see a green bullet in front of PCSCD.
When I check with "rpm -q pcscd" (see below) it says "pcscd is not installed"?!?

[ammans@TravelPC ~]$ rpm -q pcscd
package pcscd is not installed
[ammans@TravelPC ~]$ 


[ammans@TravelPC ~]$ rpm -q ccid
ccid-1.3.8-1.fc10.i386
[ammans@TravelPC ~]$
Comment 5 Bob Relyea 2009-01-12 21:05:35 EST
my bad, that should be rpm -q pcsc-lite, but the rest of your info seems to indicate you probably have the correct one (I belive ccid has a dependency on pcsc-lite).

The next question then, what does lsusb produce?

bob
Comment 6 Bob Relyea 2009-01-12 21:18:56 EST
Hmm, looking at the package, it looks like they ship their own version of libpcsclite.so called libbeidpcsclite.so.2.7.1.

That's not really kosher since it's trying to connect to a service daemon. The API between the  not guaranteed to be binary compatible between releases. What's most likely tripping you up is the location of the socket. 

One hacky thing to try is to rename ../beid-2.6/libbeidpcsclite.so.2.7.1 to something else and link /usr/lib/libpcsclite.so in it's place.

I don't know how old of a pcsc-lite code they had, or if they made their own changes to the shared library, so I'm not sure how well this would work.

bob
Comment 7 Dirk Provoost 2009-01-13 02:47:58 EST
Bus 001 Device 009: ID 099a:5321 Zippy Technology Corp. 
Bus 001 Device 008: ID 05e3:1205 Genesys Logic, Inc. Afilias Optical Mouse H3003
Bus 001 Device 007: ID 13fe:1a00 Kingston Technology Company Inc. 512MB/1GB Flash Drive
Bus 001 Device 006: ID 152d:2336 JMicron Technology Corp. / JMicron USA Technology Corp. 
Bus 001 Device 004: ID 0409:0059 NEC Corp. HighSpeed Hub
Bus 001 Device 005: ID 072f:9000 Advanced Card Systems, Ltd ACR38 AC1038-based Smart Card Reader
Bus 001 Device 002: ID 05e3:0606 Genesys Logic, Inc. USB 2.0 Hub / D-Link DUB-H4 USB 2.0 Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 0d8c:000e C-Media Electronics, Inc. Audio Adapter (Planet UP-100, Genius G-Talk)
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
[ammans@TravelPC ~]$
Comment 8 John Griffiths 2009-02-25 17:40:26 EST
I am having the same problem with an ActivCard, Inc. SmartCard Reader.

The USB bus recognizes the reader.

]# lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 003: ID 09c3:0008 ActivCard, Inc. SmartCard Reader
Bus 004 Device 002: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 03f0:0f12 Hewlett-Packard Printing Support
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

But when a card is inserted into the reader nothing happens. I've tried two readers and the card is good because it reads on a Windows XP system using the Actividentity Client.

The generic USB CCID from linuxnet.com says is does not support completely the ActivCard, Inc. SmartCard Reader version 2 which is what I have, but that is only on one command. I have also installed the SCM310 driver. Neither of these results in the card being recognized when inserted into the reader.
Comment 9 Bob Relyea 2009-02-26 21:02:48 EST
There are 2 things that need to happen in order to recognize a card in the reader.

1) the reader needs to be recognized. - The SCM310 should work with no problem, the ActiveCard reader looks like it should be supported as well through pcsc-lite.

2) the card itself needs to be recognized.

The previous user's problem appears to be his middle-ware, which ships their own version of the pcsc library that talks to pcscd. This middle-ware is needed to recognize his card.

So the question is what card are you using, and what applets are on that card?
Comment 10 John Griffiths 2009-02-27 12:14:41 EST
CAC

To my knowledge, only security certs.
Comment 11 Bug Zapper 2009-11-18 04:27:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 02:33:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.